# $Revision: 1.25 $, $Date: 2005/12/13 18:16:46 $
#
# Conditional build:
%bcond_with	nhc	# build with nhc98, not ghc
#
Summary:	hmake - a compilation manager for Haskell programs
Summary(pl):	Program zarzdzajcy kompilacj programw w Haskellu
Name:		hmake
Version:	3.10
Release:	5
License:	Free
Group:		Development/Languages
Source0:	http://www.haskell.org/hmake/%{name}-%{version}.tar.gz
# Source0-md5:	32c8fea53feaa9b2ead1622609ec052a
Patch0:		%{name}-uname.patch
Patch1:		%{name}-no_spaces.patch
URL:		http://www.haskell.org/hmake/
BuildRequires:	ed
%{!?with_nhc:BuildRequires:	ghc}
BuildRequires:	gmp-devel
BuildRequires:	ncurses-devel
%{?with_nhc:BuildRequires:      nhc98}
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
hmake is a make(1) like command for compiling Haskell programs.
Dependencies are automatically extracted from the source files; there
is no need to construct or maintain a Makefile.

Hmake interactive, or hi for short, is an interpreter-like environment
that you can wrap over any common Haskell compiler to achieve an
interactive development style rather like Hugs.

%description -l pl
hmake jest poleceniem podobnym do make(1) przeznaczonym do
kompilowania programw w Haskellu. Zalenoci s automatycznie
wycigane z plikw rdowych; nie trzeba tworzy ani nadzorowa
Makefile.

Hmake interactive (w skrcie hi) jest interaktywnym, podobnym do
interpretera, rodowiskiem, ktre mona uywa z dowolnym kompilatorem
Haskella aby dosta interaktywne rodowisko podobne do Hugs.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}/%{name} \
	--mandir=%{_mandir}/man1 \
%{!?with_nhc:--buildwith=ghc} \
%{?with_nhc:--buildwith=nhc98} \
	--buildopts="-O"

%{__make} \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
./configure \
	--install \
	--libdir=$RPM_BUILD_ROOT%{_libdir}/%{name} \
	--prefix=$RPM_BUILD_ROOT%{_prefix} \
	--mandir=$RPM_BUILD_ROOT%{_mandir}/man1
%{__make} install

# correct hardcoded build-root path in some scripts
for f in $RPM_BUILD_ROOT%{_bindir}/{hi,hmake} ; do
ed -s $f <<EOF || :
,s|$RPM_BUILD_ROOT||g
wq
EOF
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT INSTALL README docs/hmake/*.*
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/hmake
%dir %{_libdir}/hmake/*-Linux
%attr(755,root,root) %{_libdir}/hmake/*-Linux/HInteractive
%attr(755,root,root) %{_libdir}/hmake/*-Linux/MkProg
%attr(755,root,root) %{_libdir}/hmake/*-Linux/MkConfig
%attr(755,root,root) %{_libdir}/hmake/*-Linux/Older
%{_libdir}/hmake/*-Linux/config
%{_libdir}/hmake/*-Linux/hmakerc
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hmake.spec,v $
Revision 1.25  2005/12/13 18:16:46  undefine
- patch to remove spaces in include - now builds on sparc
- release 5

Revision 1.24  2005/10/18 10:34:03  qboosh
- it will; release 4

Revision 1.23  2005/10/02 20:06:06  arekm
- rel 3

Revision 1.22  2005/09/21 11:36:51  saq
- won't build on alpha

Revision 1.21  2005/09/17 11:44:34  arekm
- new readline 5.0

Revision 1.20  2005/07/04 00:36:23  undefine
- up to 3.10

Revision 1.19  2005/06/26 19:28:22  qboosh
- bcond header

Revision 1.18  2005/06/26 19:00:00  darekr
- new bcond style

Revision 1.17  2004/11/26 02:04:52  undefine
- up to 3.09

Revision 1.16  2004/11/24 08:33:38  undefine
- amd64 (and probably other archs) support

Revision 1.15  2004/03/01 16:02:27  baggins
- 3.08

Revision 1.14  2003/07/08 10:28:55  qboosh
- no macros in URL field, other cleanups

Revision 1.13  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:48:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2002/11/27 21:10:38  juandon
- new %%doc

Revision 1.10  2002/04/25 16:33:52  arturs
fixed a small typo

Revision 1.9  2002/04/05 10:49:43  roman
s/Freely available/Free in License

Revision 1.8  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/24 08:12:37  filon
- fixed files once again

Revision 1.4  2001/12/23 09:06:38  filon
- fixed files in libdir (forgot one executable)
- cosmetics
- release 3

Revision 1.3  2001/12/15 17:05:12  filon
- corrected %%files
- release 2

Revision 1.2  2001/12/04 15:54:22  qboosh
- pl translations, s/Copyright/License/, cosmetics

Revision 1.1  2001/12/04 14:40:58  filon
- make (1) like command for haskell code
- based on spec form package
- adapterized, gzipped docs, updated to 2.0.3
- added ghc patch fixing searching for ghc
- conditiona choosing for building with gch or nhc98

* Sat Nov 11 2000 Jos Romildo Malaquias <romildo@iceb.ufop.br> 2.01-1
- First independent rpm version (it used to be built within the nhc98 rpm)
- Patch to correctly detect readline (it depends on the curses library)
- Correct hardcoded build-root path in some scripts
